;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;AI梡
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[Command]
name = "CPU 01"
command = F, F, F
time = 0
[command]
name = "CPU 02"
command = F, F, F
time = 0
[command]
name = "CPU 03"
command = F, F, F
time = 0
[command]
name = "CPU 04"
command = F, F, F
time = 0
[command]
name = "CPU 05"
command = F, F, F
time = 0
[command]
name = "CPU 06"
command = F, F, F
time = 0
[command]
name = "CPU 07"
command = F, F, F
time = 0
[command]
name = "CPU 08"
command = F, F, F
time = 0
[command]
name = "CPU 09"
command = F, F, F
time = 0
[command]
name = "CPU 10"
command = F, F, F
time = 0
[command]
name = "CPU 11"
command = F, F, F
time = 0
[command]
name = "CPU 12"
command = F, F, F
time = 0
[command]
name = "CPU 13"
command = F, F, F
time = 0
[command]
name = "CPU 14"
command = F, F, F
time = 0
[command]
name = "CPU 15"
command = F, F, F
time = 0
[command]
name = "CPU 16"
command = F, F, F
time = 0
[command]
name = "CPU 17"
command = F, F, F
time = 0
[command]
name = "CPU 18"
command = F, F, F
time = 0
[command]
name = "CPU 19"
command = F, F, F
time = 0
[command]
name = "CPU 20"
command = F, F, F
time = 0
[command]
name = "CPU 21"
command = F, F, F
time = 0
[command]
name = "CPU 22"
command = F, F, F
time = 0
[command]
name = "CPU 23"
command = F, F, F
time = 0
[command]
name = "CPU 24"
command = F, F, F
time = 0
[command]
name = "CPU 25"
command = F, F, F
time = 0
[command]
name = "CPU 26"
command = F, F, F
time = 0
[command]
name = "CPU 27"
command = F, F, F
time = 0
[command]
name = "CPU 28"
command = F, F, F
time = 0
[command]
name = "CPU 29"
command = F, F, F
time = 0
[command]
name = "CPU 30"
command = F, F, F
time = 0
[command]
name = "CPU 31"
command = F, F, F
time = 0
[command]
name = "CPU 32"
command = F, F, F
time = 0
[command]
name = "CPU 33"
command = F, F, F
time = 0
[command]
name = "CPU 34"
command = F, F, F
time = 0
[command]
name = "CPU 35"
command = F, F, F
time = 0
[command]
name = "CPU 36"
command = F, F, F
time = 0
[command]
name = "CPU 37"
command = F, F, F
time = 0
[command]
name = "CPU 38"
command = F, F, F
time = 0
[command]
name = "CPU 39"
command = F, F, F
time = 0
[command]
name = "CPU 40"
command = F, F, F
time = 0
[command]
name = "CPU 41"
command = F, F, F
time = 0
[command]
name = "CPU 42"
command = F, F, F
time = 0
[command]
name = "CPU 43"
command = F, F, F
time = 0
[command]
name = "CPU 44"
command = F, F, F
time = 0
[command]
name = "CPU 45"
command = F, F, F
time = 0
[command]
name = "CPU 46"
command = F, F, F
time = 0
[command]
name = "CPU 47"
command = F, F, F
time = 0
[command]
name = "CPU 48"
command = F, F, F
time = 0
[command]
name = "CPU 49"
command = F, F, F
time = 0
[command]
name = "CPU 50"
command = F, F, F
time = 0



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;挻昁嶦媄
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[command]
name = "椉媊亀傾儞僼傿儃儔僗僪儊僀儞亁"
command = D, DB, B, F, a
time = 30
[command]
name = "挻忢亀僷儔僲乕儅儖僪儈僱乕僔儑儞亁"
command = D, DB, B, F, b
time = 30

[command]
name = "杺岝亀僨傿僕僞儖傾儞僺儏僥乕僔儑儞亁"
command = D, DB, B, F, x
time = 30
[command]
name = "杺抏亀僨僗僩儔僋僥傿償傾僪償僃儞僩亁"
command = D, DB, B, F, y
time = 30



[command]
name = "攋夲亀僇乕僗僩僗僞乕僋儔儞僽儕儞僌亁"
command = D, DB, B, D, DB, B, a
time = 30
[command]
name = "攋夲亀僇乕僗僩僗僞乕僋儔儞僽儕儞僌亁"
command = D, DB, B, D, DB, B, b
time = 30
[command]
name = "夦岝亀僄僋僩儘僕僇儖僔乕償僘亁"
command = D, DF, F, D, DF, F, a
time = 30
[command]
name = "夦岝亀僄僋僩儘僕僇儖儔僀僩僯儞僌亁"
command = D, DF, F, D, DF, F, b
time = 30



;枹搵嵹丅
[command]
name = "廔枛亀儚乕儖僪僨傿僐儞僗僩儔僋僔儑儞亁"
command = D, DB, B, D, DF, F, a
time = 30
[command]
name = "廔枛亀僨傿僗僐乕僒儖儕儔僾僠儏傾亁"
command = D, DB, B, D, DF, F, b
time = 30






;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;捠忢峌寕傪娷傓扨僐儅儞僪
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[command]
name = "a"
command = a
time = 1
[command]
name = "b"
command = b
time = 1
[command]
name = "c"
command = c
time = 1
[command]
name = "x"
command = x
time = 1
[command]
name = "y"
command = y
time = 1
[command]
name = "z"
command = z
time = 1
[command]
name = "start"
command = s
time = 1



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;僐儌儞曗彆
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[command]
name = "66"     
command = F, F
time = 15
[command]
name = "44"     
command = B, B
time = 15
[command]
name = "recovery"
command = x+y
[command]
name = "holdfwd"
command = /$F
time = 1
[command]
name = "holdback"
command = /$B
time = 1
[command]
name = "holdup" 
command = /$U
time = 1
[command]
name = "holddown"
command = /$D
time = 1

[statedef -1]

[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,0)
trigger1=command="CPU 01"
trigger2=command="CPU 02"
trigger3=command="CPU 03"
trigger4=command="CPU 04"
trigger5=command="CPU 05"
trigger6=command="CPU 06"
trigger7=command="CPU 07"
trigger8=command="CPU 08"
trigger9=command="CPU 09"
trigger10=command="CPU 10"
trigger11=command="CPU 11"
trigger12=command="CPU 12"
trigger13=command="CPU 13"
trigger14=command="CPU 14"
trigger15=command="CPU 15"
trigger16=command="CPU 16"
trigger17=command="CPU 17"
trigger18=command="CPU 18"
trigger19=command="CPU 19"
trigger20=command="CPU 20"
trigger21=command="CPU 21"
trigger22=command="CPU 22"
trigger23=command="CPU 23"
trigger24=command="CPU 24"
trigger25=command="CPU 25"
trigger26=command="CPU 26"
trigger27=command="CPU 27"
trigger28=command="CPU 28"
trigger29=command="CPU 29"
trigger30=command="CPU 30"
trigger31=command="CPU 31"
trigger32=command="CPU 32"
trigger33=command="CPU 33"
trigger34=command="CPU 34"
trigger35=command="CPU 35"
trigger36=command="CPU 36"
trigger37=command="CPU 37"
trigger38=command="CPU 38"
trigger39=command="CPU 39"
trigger40=command="CPU 40"
trigger41=command="CPU 41"
trigger42=command="CPU 42"
trigger43=command="CPU 43"
trigger44=command="CPU 44"
trigger45=command="CPU 45"
trigger46=command="CPU 46"
trigger47=command="CPU 47"
trigger48=command="CPU 48"
trigger49=command="CPU 49"
trigger50=command="CPU 50"
trigger51=0;偱偽偭偖傛乕丅
sysvar(1)=1



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;AI婰弎偱偡偺傛乮cv僨償傿
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;挻昁嶦媄儗儀儖俀丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=changestate
value=4200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=power>=2000
trigger1=enemynear,pos x>=-80&&enemynear,pos x<=80
[state ]
type=changestate
value=4000
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=power>=2000
trigger1=random<500
[state ]
type=changestate
value=4100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=power>=2000
trigger1=1


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;挻昁嶦媄儗儀儖侾丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=changestate
value=3200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=power>=1000
trigger1=floor((sysvar(2)%1000000)/10000)=0
trigger1=sysvar(2)%10000>=1&&sysvar(2)%10000<=4
trigger2=floor((sysvar(2)%1000000)/10000)=0
trigger2=sysvar(2)%10000=0
trigger2=facing*(enemynear,screenpos x-screenpos x)<=90
[state ]
type=changestate
value=3100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=power>=1000
trigger1=floor((sysvar(2)%1000000)/10000)=0
trigger1=facing*(enemynear,screenpos x-screenpos x)>90

[state ]
type=changestate
value=3300
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=power>=1000
trigger1=floor((sysvar(2)%1000000)/10000)=1
trigger1=facing*(enemynear,screenpos x-screenpos x)<=50
[state ]
type=changestate
value=3000
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=power>=1000
trigger1=floor((sysvar(2)%1000000)/10000)=1
trigger1=sysvar(2)%10000>=1&&sysvar(2)%10000<=4&&ctrl||sysvar(2)%10000=5
trigger1=enemynear,statetype!=a||enemynear,statetype=a&&enemynear,movetype=h
trigger2=floor((sysvar(2)%1000000)/10000)=1
trigger2=sysvar(2)%10000=0
trigger2=facing*(enemynear,screenpos x-screenpos x)>90&&facing*(enemynear,screenpos x-screenpos x)<=120
trigger2=enemynear,statetype!=a||enemynear,statetype=a&&enemynear,movetype=h
trigger3=floor((sysvar(2)%1000000)/10000)=1
trigger3=enemynear,life*enemynear,const(data.attack)<=15500
trigger3=enemynear,statetype!=a||enemynear,statetype=a&&enemynear,movetype=h


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;側傞傋偔側傜偙偺媄偱丄寛傔偨偄丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=changestate
value=800
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&facing*(enemynear,screenpos x-screenpos x)<=120&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
trigger1=enemynear,life*enemynear,const(data.attack)<=15500
trigger1=enemynear,statetype!=a
trigger2=enemynear,life*enemynear,const(data.attack)<=15500
trigger2=enemynear,statetype=a
trigger2=enemynear,movetype=h


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;僐儞儃偺俁丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=201&&sysvar(2)%10000<=300
triggerall=sysvar(2)%10000!=201
triggerall=sysvar(2)%10000!=202
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0
;僐儞儃乊乮徃弴張棟乯丅



[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=204
trigger1=(stateno=620)&&(animelemtime(7)>=0)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+205
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=203
trigger1=(stateno=600)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+204
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=202
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+203
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=201
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+202
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=0
trigger1=ctrl
trigger1=facing*(enemynear,screenpos x-screenpos x)>200
sysvar(2)=10000*floor(sysvar(2)/10000)+201
;僐儞儃恑峴乮徃弴張棟乯丅



;僐儞儃巒揰丅
[state ]
type=changestate
value=320
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=201
trigger1=enemynear,statetype!=a
trigger1=enemynear,movetype=h
[state ]
type=changestate
value=300
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=201
trigger1=enemynear,statetype!=a
[state ]
type=changestate
value=310
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=201
trigger1=1



;僐儞儃懕偒丅
[state ]
type=changestate
value=100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=202
trigger1=1
[state ]
type=changestate
value=600
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=203
trigger1=enemynear,movetype=h
trigger1=enemynear,statetype!=l
[state ]
type=changestate
value=720
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=203
trigger1=1
[state ]
type=changestate
value=620
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=204
trigger1=1
[state ]
type=changestate
value=720
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=205
trigger1=1



;僐儞儃乊乮媡弴張棟乯丅
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=201&&sysvar(2)%10000<=300
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;僐儞儃偺俀丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=101&&sysvar(2)%10000<=200
triggerall=sysvar(2)%10000!=101
triggerall=sysvar(2)%10000!=102
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0
;僐儞儃乊乮徃弴張棟乯丅



[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=104
trigger1=(stateno=620)&&(animelemtime(7)>=0)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+105
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=103
trigger1=(stateno=600)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+104
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=102
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+103
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=101
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+102
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=0
trigger1=ctrl
trigger1=facing*(enemynear,screenpos x-screenpos x)>90&&facing*(enemynear,screenpos x-screenpos x)<=200
sysvar(2)=10000*floor(sysvar(2)/10000)+101
;僐儞儃恑峴乮徃弴張棟乯丅



;僐儞儃巒揰丅
[state ]
type=changestate
value=800
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&facing*(enemynear,screenpos x-screenpos x)<=120&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=101
trigger1=enemynear,statetype!=a
trigger2=enemynear,statetype=a
trigger2=enemynear,movetype=h
[state ]
type=changestate
value=500
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=sysvar(2)%10000=101
trigger1=facing*(enemynear,screenpos x-screenpos x)>90
trigger1=random<300
[state ]
type=changestate
value=520
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=sysvar(2)%10000=101
trigger1=facing*(enemynear,screenpos x-screenpos x)>90



;僐儞儃懕偒丅
[state ]
type=changestate
value=100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=102
trigger1=1
[state ]
type=changestate
value=600
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=103
trigger1=enemynear,movetype=h
trigger1=enemynear,statetype!=l
trigger1=enemynear,hitpausetime>=2
[state ]
type=changestate
value=700
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=103
trigger1=1
[state ]
type=changestate
value=620
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=104
trigger1=1
[state ]
type=changestate
value=700
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=105
trigger1=1



;僐儞儃乊乮媡弴張棟乯丅
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=101&&sysvar(2)%10000<=200
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;僐儞儃偺侾丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=1&&sysvar(2)%10000<=100
triggerall=sysvar(2)%10000!=4
triggerall=sysvar(2)%10000!=5
triggerall=sysvar(2)%10000!=7
triggerall=sysvar(2)%10000!=10
triggerall=sysvar(2)%10000!=11
triggerall=sysvar(2)%10000!=14
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0
;僐儞儃乊乮徃弴張棟乯丅



[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=14
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+15
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000>=4&&sysvar(2)%10000<=5
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+14
;峌寕摉偨傫側偐偭偨偐傜丄摝偘傞乮徃弴張棟乯丅



[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=5
trigger1=(stateno=200)&&moveguarded
sysvar(2)=10000*floor(sysvar(2)/10000)+13
;僈乕僪攋夡乮徃弴張棟乯丅



[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=11
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+12
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=10
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+11
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=9
trigger1=(stateno=620)&&(animelemtime(7)>=0)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+10
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=8
trigger1=(stateno=600)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+9
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a
triggerall=sysvar(2)%10000=7
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+8
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=6
trigger1=(stateno=230)&&movecontact
trigger2=(stateno=240)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+7
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=5
trigger1=(stateno=200)&&movehit
sysvar(2)=10000*floor(sysvar(2)/10000)+6
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=4
trigger1=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+5
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=3
trigger1=(stateno=200)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+4
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=2
trigger1=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+3
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=1
trigger1=(stateno=400)&&movecontact
trigger2=(stateno=220)&&movecontact
trigger3=(stateno=200)&&movecontact
sysvar(2)=10000*floor(sysvar(2)/10000)+2
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a
triggerall=sysvar(2)%10000=0
trigger1=ctrl
trigger1=facing*(enemynear,screenpos x-screenpos x)<=90
sysvar(2)=10000*floor(sysvar(2)/10000)+1
;僐儞儃恑峴乮徃弴張棟乯丅



;僐儞儃巒揰丅
[state ]
type=changestate
value=400
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&ctrl
triggerall=sysvar(2)%10000=1
triggerall=ctrl
trigger1=enemynear,statetype=a
trigger1=facing*(enemynear,screenpos x-screenpos x)<=65
trigger2=facing*(enemynear,screenpos x-screenpos x)>65
[state ]
type=changestate
value=220
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=1
trigger1=enemynear,statetype=l
trigger1=facing*(enemynear,screenpos x-screenpos x)<=65
[state ]
type=changestate
value=200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=1
trigger1=facing*(enemynear,screenpos x-screenpos x)<=30



;僐儞儃懕偒丅
[state ]
type=changestate
value=210
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=2
trigger1=1
[state ]
type=changestate
value=200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=3
trigger1=1
[state ]
type=changestate
value=210
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=4
trigger1=1
[state ]
type=changestate
value=200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=5
trigger1=1
[state ]
type=changestate
value=230
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=6
trigger1=facing*(enemynear,screenpos x-screenpos x)<=50
[state ]
type=changestate
value=240
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=6
trigger1=facing*(enemynear,screenpos x-screenpos x)>50
[state ]
type=changestate
value=40
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=230)&&movecontact||(stateno=240)&&movecontact)
triggerall=sysvar(2)%10000=7
trigger1=1
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000=7
trigger1=stateno=40
var(51)=1
[state ]
type=changestate
value=600
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=8
trigger1=1
[state ]
type=changestate
value=620
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=9
trigger1=1
[state ]
type=changestate
value=720
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=10
trigger1=1
[state ]
type=changestate
value=105
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=11
trigger1=1
[state ]
type=changestate
value=700
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=12
trigger1=1
[state ]
type=changestate
value=800
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&facing*(enemynear,screenpos x-screenpos x)<=120&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=13
trigger1=facing*(enemynear,screenpos x-screenpos x)>45
trigger1=enemynear,statetype!=a
trigger2=facing*(enemynear,screenpos x-screenpos x)>45
trigger2=enemynear,statetype=a
trigger2=enemynear,movetype=h
[state ]
type=changestate
value=220
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=13
trigger1=1
[state ]
type=changestate
value=800
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&facing*(enemynear,screenpos x-screenpos x)<=120&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=14
trigger1=enemynear,statetype!=a
trigger2=enemynear,statetype=a
trigger2=enemynear,movetype=h
[state ]
type=changestate
value=105
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype!=a&&(ctrl||(stateno=200)&&movecontact||(stateno=210)&&(animelemtime(8)>=0)&&movecontact||(stateno=220)&&movecontact||(stateno=230)&&movecontact||(stateno=400)&&movecontact)
triggerall=sysvar(2)%10000=14
trigger1=1
[state ]
type=changestate
value=720
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=statetype=a&&(ctrl||(stateno=600)&&movecontact||(stateno=620)&&(animelemtime(7)>=0)&&movecontact)
triggerall=sysvar(2)%10000=15
trigger1=1



;僐儞儃乊乮媡弴張棟乯丅
[state ]
type=varset
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
triggerall=sysvar(2)%10000>=1&&sysvar(2)%10000<=100
trigger1=ctrl
sysvar(2)=10000*floor(sysvar(2)/10000)+0


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;儕僇僶儕廃傝丅
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

[state ]
type=changestate
value=5200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=stateno=5050
triggerall=vel y>0
triggerall=pos y>=-20
triggerall=alive
triggerall=canrecover
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
trigger1=1
[state ]
type=changestate
value=5200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=stateno=5050
triggerall=vel y>-1
triggerall=alive
triggerall=canrecover
triggerall=ifelse(!ishelper,palno>=1&&palno<=6&&sysvar(1)=1&&roundstate=2,ishelper(100000)&&root,palno>=7&&root,palno<=12&&roundstate=2)
trigger1=1



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;挻昁嶦媄
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[state ]
type=changestate
value=3000
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="椉媊亀傾儞僼傿儃儔僗僪儊僀儞亁"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact
[state ]
type=changestate
value=3200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="挻忢亀僷儔僲乕儅儖僪儈僱乕僔儑儞亁"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact

[state ]
type=changestate
value=3100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="杺抏亀僨僗僩儔僋僥傿償傾僪償僃儞僩亁"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact
[state ]
type=changestate
value=3300
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="杺岝亀僨傿僕僞儖傾儞僺儏僥乕僔儑儞亁"
triggerall=statetype!=a
triggerall=power>=1000
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact



[state ]
type=changestate
value=4000
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="攋夲亀僇乕僗僩僗僞乕僋儔儞僽儕儞僌亁"
triggerall=statetype!=a
triggerall=power>=2000
trigger1=ctrl
[state ]
type=changestate
value=4100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="夦岝亀僄僋僩儘僕僇儖僔乕償僘亁"
triggerall=statetype!=a
triggerall=power>=2000
trigger1=ctrl
[state ]
type=changestate
value=4200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="夦岝亀僄僋僩儘僕僇儖儔僀僩僯儞僌亁"
triggerall=statetype!=a
triggerall=power>=2000
trigger1=ctrl



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;捠忢幩寕
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;孅傒幩寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="x"
[state ]
type=changestate
value=500
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="x"
triggerall=command="holddown"
triggerall=statetype!=a
trigger1=ctrl

;command="y"
[state ]
type=changestate
value=520
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="y"
triggerall=command="holddown"
triggerall=statetype!=a
trigger1=ctrl


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;棫偪幩寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="x"
[state ]
type=changestate
value=310
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="x"
triggerall=command="holdfwd"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact
[state ]
type=changestate
value=300
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="x"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact

;command="y"
[state ]
type=changestate
value=320
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="y"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;嬻拞幩寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="x"
[state ]
type=changestate
value=700
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="x"
triggerall=statetype=a
trigger1=ctrl
trigger2=(stateno=600)&&movecontact
trigger3=(stateno=620)&&(animelemtime(7)>=0)&&movecontact

;command="y"
[state ]
type=changestate
value=720
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="y"
triggerall=statetype=a
trigger1=ctrl
trigger2=(stateno=600)&&movecontact
trigger3=(stateno=620)&&(animelemtime(7)>=0)&&movecontact



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;捠忢懪寕
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;孅傒懪寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="a"||command="b"
[state ]
type=changestate
value=400
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="a"||command="b"
triggerall=command="holddown"
triggerall=statetype!=a
trigger1=ctrl


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;棫偪懪寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="a"
[state ]
type=changestate
value=210
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="a"
triggerall=command="holdfwd"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact
[state ]
type=changestate
value=200
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="a"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger3=(stateno=220)&&movecontact
trigger4=(stateno=230)&&movecontact
trigger5=(stateno=400)&&movecontact

;command="b"
[state ]
type=changestate
value=230
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="b"
triggerall=command="holdfwd"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=400)&&movecontact
[state ]
type=changestate
value=220
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="b"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact

;command="c"
[state ]
type=changestate
value=800
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="c"
triggerall=command="holdfwd"
triggerall=statetype!=a
triggerall=facing*(enemynear,screenpos x-screenpos x)<=120
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact
[state ]
type=changestate
value=240
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="c"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=200)&&movecontact
trigger3=(stateno=210)&&(animelemtime(8)>=0)&&movecontact
trigger4=(stateno=220)&&movecontact
trigger5=(stateno=230)&&movecontact
trigger6=(stateno=400)&&movecontact


;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧
;嬻拞懪寕
;仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧仧

;command="a"
[state ]
type=changestate
value=600
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="a"
triggerall=statetype=a
trigger1=ctrl
trigger2=(stateno=620)&&(animelemtime(7)>=0)&&movecontact

;command="b"
[state ]
type=changestate
value=620
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="b"
triggerall=statetype=a
trigger1=ctrl
trigger2=(stateno=600)&&movecontact



;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭
;僐儌儞曗彆
;仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭仭

[state ]
type=changestate
value=40
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="holdup"
triggerall=statetype!=a
trigger1=ctrl
trigger2=(stateno=230)&&movecontact
trigger3=(stateno=240)&&movecontact

;command="66"
[state ]
type=changestate
value=100
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="66"
triggerall=statetype!=a
trigger1=ctrl

;command="44"
[state ]
type=changestate
value=105
triggerall=ifelse(!ishelper,palno>=1&&palno<=6,ishelper(100000)&&root,palno>=7&&root,palno<=12)
triggerall=command="44"
triggerall=statetype!=a
trigger1=ctrl

